#
# spec file for package python3-piston-mini-client
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-piston-mini-client
Version:        0.7.5
Release:        10.1
Url:            https://launchpad.net/piston-mini-client
Summary:        A small package to consume Django-Piston web services
License:        LGPL-3.0
Group:          Development/Languages/Python
#Source:         http://pypi.python.org/packages/source/p/piston-mini-client/piston-mini-client-%{version}.tar.gz
Source:         https://launchpad.net/piston-mini-client/trunk/%{version}/+download/piston-mini-client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch

%description
A small generic library for writing clients for Django's Piston REST APIs.

%prep
%setup -q -n piston-mini-client-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python3_sitelib}/*

%changelog
* Tue Apr 16 2013 p.drouand@gmail.com
- Update to version 0.7.5
  + fixes oneconf-service AttributeError crash (LP#1105215)
- Remove Fix-test-python3.3.diff; obsoleted by upstream
- piston-mini-client now requires setuptools to build
  add BuildRequires: python(3)-ditribute
* Fri Jan 18 2013 saschpe@suse.de
- Package LICENSE
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
